<?php if ( ! cheshalo_get_opt( 'white_label' ) ) : ?>
	<div class="xts-footer xts-theme-style">
		<div class="xts-row">
			<div class="xts-col">
				<a class="xts-logo" href="https://themefars.com/" target="_blank">
					<img src="<?php echo esc_url( CHESHALO_ASSETS_IMAGES . '/themefars-logo-dark.svg' ); ?>" alt="<?php	esc_html_e( 'Logo', 'cheshalo' ); ?>">
				</a>
			</div>

			<div class="xts-col-auto">
				<?php
				new XTS\Inc\Admin\Dashboard\Menu(
					[
						'items' => [
							[
								'link' => [
									'url'        => 'https://themefars.com/panel/?tab=1',
									'new_window' => true,
								],
								'icon' => 'video-tutorials',
								'text' => esc_html__( 'دریافت آپدیت‌ها', 'cheshalo' ),
							],
							[
								'link' => [
									'url'        => 'https://themefars.com/cheshalo/#comments',
									'new_window' => true,
								],
								'icon' => 'rate-theme',
								'text' => esc_html__( 'ارسال نظر در مورد قالب', 'cheshalo' ),
							],
							[
								'link' => [
									'url'        => 'https://themefars.com/panel/',
									'new_window' => true,
								],
								'icon' => 'support-forum',
								'text' => esc_html__( 'پشتیبانی', 'cheshalo' ),
							],
						],
					]
				);
				?>
			</div>
		</div>
	</div>
<?php endif; ?>