<?php
if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}

/**
* ------------------------------------------------------------------------------------------------
*  Compare element map
* ------------------------------------------------------------------------------------------------
*/
if ( ! function_exists( 'cheshalo_get_vc_shortcode_compare' ) ) {
	function cheshalo_get_vc_shortcode_compare() {
		return array(
			'name'        => esc_html__( 'Compare', 'cheshalo' ),
			'base'        => 'cheshalo_compare',
			'category'    => cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ),
			'description' => esc_html__( 'Required for the compare table page.', 'cheshalo' ),
			'icon'        => CHESHALO_ASSETS . '/images/vc-icon/compare.svg',
		);
	}
}


