<?php
if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}

/**
 * ------------------------------------------------------------------------------------------------
 *  Wishlist element map
 * ------------------------------------------------------------------------------------------------
 */
if ( ! function_exists( 'cheshalo_get_vc_map_wishlist' ) ) {
	function cheshalo_get_vc_map_wishlist() {
		return array(
			'name'        => esc_html__( 'Wishlist', 'cheshalo' ),
			'base'        => 'cheshalo_wishlist',
			'category'    => cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ),
			'description' => esc_html__( 'Required for the wishlist page.', 'cheshalo' ),
			'icon'        => CHESHALO_ASSETS . '/images/vc-icon/wishlist.svg',
		);
	}
}
